OJS OCS OMP OHS

You are viewing the PKP Support Forum | PKP Home Wiki



Trouble upgrading from 2.1.0.0 to 2.1.0.1

Are you responsible for making OJS work -- installing, upgrading, migrating or troubleshooting? Do you think you've found a bug? Post in this forum.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
What to do if you have a technical problem with OJS:

1. Search the forum. You can do this from the Advanced Search Page or from our Google Custom Search, which will search the entire PKP site. If you are encountering an error, we especially recommend searching the forum for said error.

2. Check the FAQ to see if your question or error has already been resolved.

3. Post a question, but please, only after trying the above two solutions. If it's a workflow or usability question you should probably post to the OJS Editorial Support and Discussion subforum; if you have a development question, try the OJS Development subforum.

Trouble upgrading from 2.1.0.0 to 2.1.0.1

Postby gsk3 » Tue Mar 07, 2006 1:44 pm

Current version
2.1.0.0 (November 1, 2005 - 11:58 AM)
Latest version: 2.1.0.1 (February 3, 2006)

I'm downloading this file:
Code: Select all
http://pkp.sfu.ca/ojs/download/patch/ojs-2.1_to_2.1.0-1.patch.gz


and running:
Code: Select all
patch -p1 < ojs-2.1_to_2.1.0-1.patch

in the root ojs directory.
I get this:
Code: Select all
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -urN ojs-2.1/cache/t_compile/%%00^002^0025FB04%%groupForm.tpl.php ojs-2.1.0-1/cache/t_compile/%%00^002^0025FB04%%groupForm.tpl.php
|--- ojs-2.1/cache/t_compile/%%00^002^0025FB04%%groupForm.tpl.php       2006-02-02 15:21:19.000000000 -0800
|+++ ojs-2.1.0-1/cache/t_compile/%%00^002^0025FB04%%groupForm.tpl.php   2006-02-03 13:26:37.000000000 -0800
--------------------------
File to patch:


Line 4 of the file doesn't seem to yield any good clues.
Btw the root ojs directory is also the root directory for the webserver (/var/www/localhost/htdocs.

What stupid mistake am I making this time? :-P

Thanks,
Ari
gsk3
 
Posts: 17
Joined: Mon Jun 20, 2005 10:15 am

Postby asmecher » Tue Mar 07, 2006 3:22 pm

Hi Ari,

You're running a pre-release version of OJS 2.1.0, not the official release, so the patch-based upgrade isn't going to work; I'd suggest upgrading by overwriting your existing installation from the distribution package. See the instructions at http://pkp.sfu.ca/support/forum/viewtopic.php?t=691, which are for an FTP-based upgrade, but apply just as well when using SSH. Make sure you back everything up before proceeding.

Regards,
Alec Smecher
Open Journal Systems Team
asmecher
 
Posts: 8421
Joined: Wed Aug 10, 2005 12:56 pm

Postby gsk3 » Tue Mar 07, 2006 7:49 pm

Thanks Alec. Will do.
Ari
gsk3
 
Posts: 17
Joined: Mon Jun 20, 2005 10:15 am

Postby gsk3 » Thu Mar 09, 2006 10:39 am

Worked like a charm. Thanks.
Ari
gsk3
 
Posts: 17
Joined: Mon Jun 20, 2005 10:15 am


Return to OJS Technical Support

Who is online

Users browsing this forum: adminojs, Baidu [Spider] and 7 guests